"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var HttpError_1 = __importDefault(require("../HttpError"));
var class_schema_1 = require("class-schema");
/**
 * Http Error 401: Unauthorized
 */
var Unauthorized = /** @class */ (function (_super) {
    __extends(Unauthorized, _super);
    function Unauthorized(mesg, info) {
        return _super.call(this, Unauthorized_1.CODE, (info === null || info === void 0 ? void 0 : info.name) || "Unauthorized", mesg, info === null || info === void 0 ? void 0 : info.key, info === null || info === void 0 ? void 0 : info.data) || this;
    }
    Unauthorized_1 = Unauthorized;
    var Unauthorized_1;
    Unauthorized.CODE = 401;
    Unauthorized = Unauthorized_1 = __decorate([
        class_schema_1.schema({ description: "Unauthorized" }),
        __metadata("design:paramtypes", [String, Object])
    ], Unauthorized);
    return Unauthorized;
}(HttpError_1.default));
exports.default = Unauthorized;
//# sourceMappingURL=Unauthorized.js.map